Get product by ID
Returns detailed information about a specified product by its ID.
Authorization
ApiKey X-Api-Key<token>
API key provided on the Custom API Connector 'Integrations' page.
In: header
Path Parameters
productId*string
The unique identifier of the product.
Response Body
application/json
application/json
curl -X GET "https://example.com/products/string"{ "name": "string", "id": "string", "url": "string", "brand": "string", "updated_at": "2019-08-24T14:15:22Z", "category": "string", "description": "string", "multimedia": { "image_urls": [ "string" ] }, "variants": [ { "name": "string", "id": "string", "url": "string", "description": "string", "multimedia": { "image_urls": [ "string" ] }, "price": { "units": 0, "currency": "USD" }, "sale_price": { "units": 0, "currency": "USD" }, "availability": { "status": "in_stock", "stock_count": 0 }, "identifiers": { "sku": "string", "gtin": "string", "mpn": "string" }, "properties": { "color": [ "string" ], "material": [ "string" ], "condition": "new" }, "attributes": { "property1": "string", "property2": "string" } } ]}Get product feed GET
Returns a gzip-compressed JSON lines file of the product feed. Each line in the decompressed file represents an individual product, formatted according to the same schema as the [/products/{productId}](#tag/Callbacks/operation/products.get) endpoint.
Retrieve list of orders by IDs GET
Returns detailed information about specified orders by their IDs. ⚠️ The endpoint must accept an empty array of IDs.